Index: Singular/dyn_modules/syzextra/syzextra.cc
===================================================================
--- Singular/dyn_modules/syzextra/syzextra.cc	(revision 7b9b8e5baba86b2ea7dc3d91652cd2ae491db203)
+++ Singular/dyn_modules/syzextra/syzextra.cc	(revision f9b0bddbfb9793b47a94a5d2aace6da9918e3c70)
@@ -2684,5 +2684,5 @@
         if( OPT__DEBUG )
         {
-          Print("_FindReducer::Test SYZTERM: q == syzterm !:((, syzterm is: ");
+          PrintS("_FindReducer::Test SYZTERM: q == syzterm !:((, syzterm is: ");
           dPrint(syzterm, r, r, 0);
         }
@@ -2787,5 +2787,5 @@
         if( OPT__DEBUG )
         {
-          Print("_FindReducer::Test SYZTERM: q == syzterm !:((, syzterm is: ");
+          PrintS("_FindReducer::Test SYZTERM: q == syzterm !:((, syzterm is: ");
           dPrint(syzterm, r, r, 0);
         }
@@ -2897,5 +2897,5 @@
         if( OPT__DEBUG )
         {
-          Print("_FindReducer::Test SYZTERM: q == syzterm !:((, syzterm is: ");
+          PrintS("_FindReducer::Test SYZTERM: q == syzterm !:((, syzterm is: ");
           dPrint(syzterm, r, r, 0);
         }
@@ -3000,5 +3000,5 @@
         if( OPT__DEBUG )
         {
-          Print("_FindReducer::Test SYZTERM: q == syzterm !:((, syzterm is: ");
+          PrintS("_FindReducer::Test SYZTERM: q == syzterm !:((, syzterm is: ");
           dPrint(syzterm, r, r, 0);
         }
Index: Singular/extra.cc
===================================================================
--- Singular/extra.cc	(revision 7b9b8e5baba86b2ea7dc3d91652cd2ae491db203)
+++ Singular/extra.cc	(revision f9b0bddbfb9793b47a94a5d2aace6da9918e3c70)
@@ -2316,5 +2316,5 @@
            else if (strcmp(s,"posInT19")==0)
              test_PosInT=posInT19;
-           else Print("valid posInT:0,1,2,11,110,13,15,17,17_c,19,_EcartFDegpLength,_FDegpLength,_pLength,_EcartpLength\n");
+           else PrintS("valid posInT:0,1,2,11,110,13,15,17,17_c,19,_EcartFDegpLength,_FDegpLength,_pLength,_EcartpLength\n");
          }
          else
@@ -3105,5 +3105,5 @@
           p=(poly)h->CopyD();
           h=h->next;
-          //        Print("poly is done\n");
+          //        PrintS("poly is done\n");
         }
         else return TRUE;
@@ -3113,5 +3113,5 @@
           q = I->m;
           h=h->next;
-          //        Print("ideal is done\n");
+          //        PrintS("ideal is done\n");
         }
         else return TRUE;
@@ -3120,5 +3120,5 @@
           is=(int)((long)(h->Data()));
           //        res->rtyp=INT_CMD;
-          //        Print("int is done\n");
+          //        PrintS("int is done\n");
           //        res->rtyp=IDEAL_CMD;
           if (rIsPluralRing(currRing))
@@ -3130,5 +3130,5 @@
               pl[k] = pLength(I->m[k]);
             }
-            Print("starting redRat\n");
+            PrintS("starting redRat\n");
             //res->data = (char *)
             redRat(&p, q, pl, (int)IDELEMS(I),is,currRing);
Index: Singular/fevoices.cc
===================================================================
--- Singular/fevoices.cc	(revision 7b9b8e5baba86b2ea7dc3d91652cd2ae491db203)
+++ Singular/fevoices.cc	(revision f9b0bddbfb9793b47a94a5d2aace6da9918e3c70)
@@ -106,5 +106,5 @@
   p->prev=currentVoice;
   currentVoice=p;
-  //Print("Next:");
+  //PrintS("Next:");
 }
 
@@ -158,5 +158,5 @@
   yylineno=currentVoice->start_lineno;
   //Voice *p=currentVoice;
-  //Print("-----------------\ncurr:");
+  //PrintS("-----------------\ncurr:");
   //do
   //{
@@ -165,5 +165,5 @@
   //}
   //while (p!=NULL);
-  //Print("----------------\n");
+  //PrintS("----------------\n");
   return FALSE;
 }
@@ -225,5 +225,5 @@
   //printf("start buffer typ %d\n",t);
   //Voice *p=currentVoice;
-  //Print("-----------------\ncurr:");
+  //PrintS("-----------------\ncurr:");
   //do
   //{
@@ -232,5 +232,5 @@
   //}
   //while (p!=NULL);
-  //Print("----------------\n");
+  //PrintS("----------------\n");
 }
 
@@ -244,5 +244,5 @@
   //  typ,BT_name[typ], currentVoice);
   //Voice *p=currentVoice;
-  //Print("-----------------\ncurr:");
+  //PrintS("-----------------\ncurr:");
   //do
   //{
@@ -251,5 +251,5 @@
   //}
   //while (p!=NULL);
-  //Print("----------------\n");
+  //PrintS("----------------\n");
   if (typ == BT_break)  // valid inside for, while. may skip if, else
   {
@@ -350,5 +350,5 @@
   //{
   //Voice *p=currentVoice;
-  //Print("-----------------\ncurr:");
+  //PrintS("-----------------\ncurr:");
   //do
   //{
@@ -357,5 +357,5 @@
   //}
   //while (p!=NULL);
-  //Print("----------------\n");
+  //PrintS("----------------\n");
   //}
   if (currentVoice!=NULL)
Index: Singular/iparith.cc
===================================================================
--- Singular/iparith.cc	(revision 7b9b8e5baba86b2ea7dc3d91652cd2ae491db203)
+++ Singular/iparith.cc	(revision f9b0bddbfb9793b47a94a5d2aace6da9918e3c70)
@@ -2460,6 +2460,6 @@
     if (hasFlag(u, FLAG_STD)) setFlag(&uuAsLeftv,FLAG_STD);
     assumeStdFlag(&uuAsLeftv);
-    Print("// NOTE: computation of Hilbert series etc. is being\n");
-    Print("//       performed for generic fibre, that is, over Q\n");
+    PrintS("// NOTE: computation of Hilbert series etc. is being\n");
+    PrintS("//       performed for generic fibre, that is, over Q\n");
     intvec *module_w=(intvec*)atGet(&uuAsLeftv,"isHomog",INTVEC_CMD);
     intvec *iv=hFirstSeries(uu,module_w,currRing->qideal);
@@ -3924,6 +3924,6 @@
     if (hasFlag(v, FLAG_STD)) setFlag(&vvAsLeftv,FLAG_STD);
     assumeStdFlag(&vvAsLeftv);
-    Print("// NOTE: computation of degree is being performed for\n");
-    Print("//       generic fibre, that is, over Q\n");
+    PrintS("// NOTE: computation of degree is being performed for\n");
+    PrintS("//       generic fibre, that is, over Q\n");
     intvec *module_w=(intvec*)atGet(&vvAsLeftv,"isHomog",INTVEC_CMD);
     scDegree(vv,module_w,currRing->qideal);
@@ -4296,6 +4296,6 @@
     if (hasFlag(v, FLAG_STD)) setFlag(&vvAsLeftv,FLAG_STD);
     assumeStdFlag(&vvAsLeftv);
-    Print("// NOTE: computation of Hilbert series etc. is being\n");
-    Print("//       performed for generic fibre, that is, over Q\n");
+    PrintS("// NOTE: computation of Hilbert series etc. is being\n");
+    PrintS("//       performed for generic fibre, that is, over Q\n");
     intvec *module_w=(intvec*)atGet(&vvAsLeftv,"isHomog",INTVEC_CMD);
     //scHilbertPoly(vv,currRing->qideal);
@@ -4316,6 +4316,6 @@
   if (rField_is_Ring_Z(currRing))
   {
-    Print("// NOTE: computation of Hilbert series etc. is being\n");
-    Print("//       performed for generic fibre, that is, over Q\n");
+    PrintS("// NOTE: computation of Hilbert series etc. is being\n");
+    PrintS("//       performed for generic fibre, that is, over Q\n");
   }
   res->data=(void *)hSecondSeries((intvec *)v->Data());
@@ -5932,6 +5932,6 @@
     if (hasFlag(u, FLAG_STD)) setFlag(&uuAsLeftv,FLAG_STD);
     assumeStdFlag(&uuAsLeftv);
-    Print("// NOTE: computation of Hilbert series etc. is being\n");
-    Print("//       performed for generic fibre, that is, over Q\n");
+    PrintS("// NOTE: computation of Hilbert series etc. is being\n");
+    PrintS("//       performed for generic fibre, that is, over Q\n");
     intvec *module_w=(intvec*)atGet(&uuAsLeftv,"isHomog",INTVEC_CMD);
     intvec *iv=hFirstSeries(uu,module_w,currRing->qideal,wdegree);
@@ -9119,5 +9119,5 @@
   //if(i>=0 && i<sArithBase.nCmdUsed)
   //  return i;
-  //Print("RET-2\n");
+  //PrintS("RET-2\n");
   return -2;
 }
Index: Singular/iplib.cc
===================================================================
--- Singular/iplib.cc	(revision 7b9b8e5baba86b2ea7dc3d91652cd2ae491db203)
+++ Singular/iplib.cc	(revision f9b0bddbfb9793b47a94a5d2aace6da9918e3c70)
@@ -1230,5 +1230,5 @@
               proc->data.s.example_lineno, proc->data.s.example_start);
       else if(proc->language==LANG_C)
-        Print("type: object\n");
+        PrintS("type: object\n");
     }
   }
Index: Singular/links/sing_dbm.cc
===================================================================
--- Singular/links/sing_dbm.cc	(revision 7b9b8e5baba86b2ea7dc3d91652cd2ae491db203)
+++ Singular/links/sing_dbm.cc	(revision f9b0bddbfb9793b47a94a5d2aace6da9918e3c70)
@@ -123,10 +123,10 @@
       if (!SI_LINK_CLOSE_P(l))
       {
-        if (!dbClose(l)) {Print("cannot close link!\n");}
+        if (!dbClose(l)) {PrintS("cannot close link!\n");}
       }
       //(SI_LINK_CLOSE_P(l)) automatically
       if (dbOpen(l, SI_LINK_READ)) return NULL;
     }
-  if (SI_LINK_RW_OPEN_P(l)) {Print("I/O Error!\n");}
+  if (SI_LINK_RW_OPEN_P(l)) {PrintS("I/O Error!\n");}
 
   if(key!=NULL)
@@ -210,5 +210,5 @@
   if (strcmp(l->mode,"rw")!=0) // r-mode
     {
-      Print("Write error on readonly source\n");
+      PrintS("Write error on readonly source\n");
     }
   else //rw-mode
@@ -218,7 +218,7 @@
         if (!SI_LINK_CLOSE_P(l))
         {
-          if (!dbClose(l)) {Print("close error\n");};
+          if (!dbClose(l)) {PrintS("close error\n");};
         }
-        if (!dbOpen(l,SI_LINK_WRITE)) {Print("open_for_write error\n");}
+        if (!dbOpen(l,SI_LINK_WRITE)) {PrintS("open_for_write error\n");}
       }
     }
@@ -238,5 +238,5 @@
         ret  = gdbm_store(db->db, d_key, d_value, GDBM_REPLACE);
 //         db->actual=d_key;
-        if (ret==-1) {Print("reader calls gdbm_store!");}
+        if (ret==-1) {PrintS("reader calls gdbm_store!");}
         if (ret==0)
           { b=FALSE; }
Index: Singular/walk.cc
===================================================================
--- Singular/walk.cc	(revision 7b9b8e5baba86b2ea7dc3d91652cd2ae491db203)
+++ Singular/walk.cc	(revision f9b0bddbfb9793b47a94a5d2aace6da9918e3c70)
@@ -2,5 +2,4 @@
 *  Computer Algebra System SINGULAR      *
 *****************************************/
-/* $Id$ */
 /*
 * ABSTRACT: Implementation of the Groebner walk
@@ -2000,5 +1999,5 @@
   {
 #ifndef SING_NDEBUG
-    Print("\n//MwalkNextWeightCC: t_nenner=0\n");
+    PrintS("\n//MwalkNextWeightCC: t_nenner=0\n");
 #endif
     delete diff_weight;
@@ -2095,5 +2094,5 @@
     mpz_out_str( stdout, 10, t_nenner);
     Print(" * %d)", (*curr_weight)[j]);
-    Print(" + ("); mpz_out_str( stdout, 10, t_zaehler);
+    PrintS(" + ("); mpz_out_str( stdout, 10, t_zaehler);
     Print(" * %d) =  ",  (*diff_weight)[j]);
     mpz_out_str( stdout, 10, s_nenner);
@@ -2395,5 +2394,5 @@
   {
 #ifndef SING_NDEBUG
-    Print("\n//MwalkNextWeightCC: t_nenner=0\n");
+    PrintS("\n//MwalkNextWeightCC: t_nenner=0\n");
 #endif
     delete diff_weight;
@@ -2479,5 +2478,5 @@
     mpz_out_str( stdout, 10, t_nenner);
     Print(" * %d)", (*curr_weight)[j]);
-    Print(" + ("); mpz_out_str( stdout, 10, t_zaehler);
+    PrintS(" + ("); mpz_out_str( stdout, 10, t_zaehler);
     Print(" * %d) =  ",  (*diff_weight)[j]);
     mpz_out_str( stdout, 10, s_nenner);
@@ -6655,5 +6654,5 @@
       if(printout > 1)
       {
-        Print("\n Mpwalk: there is a polynomial in Gomega with at least 3 monomials.\n");
+        PrintS("\n Mpwalk: there is a polynomial in Gomega with at least 3 monomials.\n");
       }
       // low-dimensional facet of the cone
@@ -7103,5 +7102,5 @@
         if(printout > 0)
         {
-          Print("\n//** rec_fractal_call: Wrong cone. Tau doesn't stay in the correct cone.\n");
+          PrintS("\n//** rec_fractal_call: Wrong cone. Tau doesn't stay in the correct cone.\n");
         }
 
@@ -7125,5 +7124,5 @@
           if(printout > 0)
           {
-            Print("\n//** rec_fractal_call: Updated vectors are equal to the old vectors.\n");
+            PrintS("\n//** rec_fractal_call: Updated vectors are equal to the old vectors.\n");
           }
           delete Xtautmp;
@@ -7278,5 +7277,5 @@
       if(printout > 1)
       {
-        Print("\n//** rec_fractal_call: Maximal recursion depth.\n");
+        PrintS("\n//** rec_fractal_call: Maximal recursion depth.\n");
       }
 #ifdef TIME_TEST
Index: kernel/GBEngine/f5gb.cc
===================================================================
--- kernel/GBEngine/f5gb.cc	(revision 7b9b8e5baba86b2ea7dc3d91652cd2ae491db203)
+++ kernel/GBEngine/f5gb.cc	(revision f9b0bddbfb9793b47a94a5d2aace6da9918e3c70)
@@ -278,5 +278,5 @@
     //Print("IN F5INC\n");
     /*
-    Print("\n\n\nRULES: \n");
+    PrintS("\n\n\nRULES: \n");
         RNode* tempR    =   rules->getFirst();
         Print("%p\n",tempR);
@@ -330,5 +330,5 @@
       pSetCoeff(lcm,nOne);
       pSetm(lcm);
-      Print("LCM:   ");
+      PrintS("LCM:   ");
       pWrite(lcm);
       if(pDeg(lcm) <= pDeg(gPrev->getLast()->getPoly())) {
@@ -372,5 +372,5 @@
     temp  = temp->getNext();
   }
-  Print("------------------\n");
+  PrintS("------------------\n");
   return isDGb;
 }
@@ -680,5 +680,5 @@
     //Print("------------------------------IN CRITERION 2/1-----------------------------------------\n");
     /*
-    Print("RULES: \n");
+    PrintS("RULES: \n");
         RNode* tempR    =   rules->getFirst();
         Print("%p\n",tempR);
@@ -793,5 +793,5 @@
     //Print("LAST RuleOld TESTED: %p",testedRuleOld);
     /*
-    Print("RULES: \n");
+    PrintS("RULES: \n");
         RNode* tempR    =   rules->getFirst();
         while(NULL != tempR) {
@@ -1040,21 +1040,21 @@
              //numberRejectedF5CriticalPairs == 7) {
             /*
-            Print("--------------------------------- rejected F5-critical pair-------------------------------------\n");
+            PrintS("--------------------------------- rejected F5-critical pair-------------------------------------\n");
             pWrite(pHead(ppMult_qq(temp->getT1(),temp->getLp1Poly())));
-            Print("Label: ");
+            PrintS("Label: ");
             pWrite(ppMult_qq(temp->getT1(),temp->getLp1Term()));
             Print("%d\n",temp->getDel());
-            Print("Comes from:\n ");
+            PrintS("Comes from:\n ");
             pWrite(pHead(temp->getLp1Poly()));
-            Print("Label: ");
+            PrintS("Label: ");
             pWrite(temp->getLp1Term());
             Print("%d\n",temp->getLp1Index());
             pWrite(pHead(temp->getLp2Poly()));
-            Print("Label: ");
+            PrintS("Label: ");
             pWrite(temp->getLp2Term());
             Print("%d\n",temp->getLp2Index());
             //Print("--------------------------------------LIST OF GB PAIRS REJECTED-----------------------------------------\n");
             //rejectedGBList->print();
-            Print("--------------------------------------------------------------------------------------------------------\n");
+            PrintS("--------------------------------------------------------------------------------------------------------\n");
             //if(temp->getLp1Index() < 7) {
               sPolyList->insertByLabel(ppMult_qq(temp->getT1(),temp->getLp1Term()),temp->getLp1Index(),sp,tempRule->getRuleOld());
@@ -1531,10 +1531,12 @@
             //pDelete(&redPoly);
         }
-        else {
-            Print("\nELEMENT ADDED TO GPREV: ");
+        else
+        {
+            PrintS("\nELEMENT ADDED TO GPREV: ");
             pNorm(redPoly);
-              if(highestDegree < pDeg(redPoly)) {
-                  highestDegree   = pDeg(redPoly);
-              }
+            if(highestDegree < pDeg(redPoly))
+            {
+              highestDegree   = pDeg(redPoly);
+            }
             pWrite(pHead(redPoly));
             //pWrite(l->getTerm());
@@ -1889,14 +1891,16 @@
 ==========================================================================
 */
-ideal F5main(ideal id, ring r, int opt, int plus, int termination) {
-  switch(opt) {
+ideal F5main(ideal id, ring r, int opt, int plus, int termination)
+{
+  switch(opt)
+  {
     case 0:
-      Print("\nComputations are done by the standard F5 Algorithm");
+      PrintS("\nComputations are done by the standard F5 Algorithm");
       break;
     case 1:
-      Print("\nComputations are done by the variant F5R of the F5 Algorithm");
+      PrintS("\nComputations are done by the variant F5R of the F5 Algorithm");
       break;
     case 2:
-      Print("\nComputations are done by the variant F5C of the F5 Algorithm");
+      PrintS("\nComputations are done by the variant F5C of the F5 Algorithm");
       break;
     default:
@@ -1944,5 +1948,5 @@
         if(NULL != id->m[j]) {
             if(pComparePolys(id->m[j],ONE)) {
-                Print("One Polynomial in Input => Computations stopped\n");
+                PrintS("One Polynomial in Input => Computations stopped\n");
                 ideal idNew = idInit(1,1);
                 idNew->m[0] = ONE;
Index: kernel/GBEngine/f5lists.cc
===================================================================
--- kernel/GBEngine/f5lists.cc	(revision 7b9b8e5baba86b2ea7dc3d91652cd2ae491db203)
+++ kernel/GBEngine/f5lists.cc	(revision f9b0bddbfb9793b47a94a5d2aace6da9918e3c70)
@@ -392,16 +392,17 @@
 
 // for debugging
-void LNode::print() {
+void LNode::print()
+{
     LNode* temp = this;
-    Print("___________________List of S-polynomials______________________:\n");
+    PrintS("___________________List of S-polynomials______________________:\n");
     while(NULL != temp && NULL != temp->data) {
         Print("Index: %d\n",temp->getIndex());
-        Print("Term: ");
+        PrintS("Term: ");
         pWrite(temp->getTerm());
-        Print("Poly: ");
+        PrintS("Poly: ");
         pWrite(temp->getPoly());
         temp = temp->next;
     }
-    Print("_______________________________________________________________\n");
+    PrintS("_______________________________________________________________\n");
 }
 
@@ -883,26 +884,28 @@
 
 // for debugging
-void CNode::print() {
+void CNode::print()
+{
     CNode* temp = this;
-    Print("___________________List of critical pairs______________________:\n");
-    while(NULL != temp) {
+    PrintS("___________________List of critical pairs______________________:\n");
+    while(NULL != temp)
+    {
         pWrite(ppMult_qq(temp->getT1(),temp->getLp1Term()));
         Print("LP1 Index: %d\n",temp->getLp1Index());
-        Print("T1: ");
+        PrintS("T1: ");
         pWrite(temp->getT1());
         Print("%p\n",temp->getT1());
-        Print("LP1 Term: ");
+        PrintS("LP1 Term: ");
         pWrite(temp->getLp1Term());
-        Print("LP1 Poly: ");
+        PrintS("LP1 Poly: ");
         pWrite(temp->getLp1Poly());
         Print("LP2 Index: %d\n",temp->getLp2Index());
-        Print("T2: ");
+        PrintS("T2: ");
         pWrite(temp->getT2());
         Print("%p\n",temp->getT2());
-        Print("LP2 Term: ");
+        PrintS("LP2 Term: ");
         pWrite(temp->getLp2Term());
-        Print("LP2 Poly: ");
+        PrintS("LP2 Poly: ");
         pWrite(temp->getLp2Poly());
-        Print("\n");
+        PrintLn();
         temp = temp->next;
     }
Index: kernel/GBEngine/gr_kstd2.cc
===================================================================
--- kernel/GBEngine/gr_kstd2.cc	(revision 7b9b8e5baba86b2ea7dc3d91652cd2ae491db203)
+++ kernel/GBEngine/gr_kstd2.cc	(revision f9b0bddbfb9793b47a94a5d2aace6da9918e3c70)
@@ -1204,5 +1204,5 @@
           {
 #ifdef PDEBUG
-             Print("unit element detected:");
+             PrintS("unit element detected:");
              p_wrp(strat->P.p,currRing);
 #endif
@@ -1240,5 +1240,5 @@
             PrintLn();
 #if MYTEST
-            Print("s: "); pWrite(strat->P.p);
+            PrintS("s: "); pWrite(strat->P.p);
 #endif
 
Index: kernel/GBEngine/kstd1.cc
===================================================================
--- kernel/GBEngine/kstd1.cc	(revision 7b9b8e5baba86b2ea7dc3d91652cd2ae491db203)
+++ kernel/GBEngine/kstd1.cc	(revision f9b0bddbfb9793b47a94a5d2aace6da9918e3c70)
@@ -2646,5 +2646,5 @@
   {
     /* error: no local ord yet with shifts */
-    Print("No local ordering possible for shifts");
+    PrintS("No local ordering possible for shifts");
     return(NULL);
   }
Index: kernel/GBEngine/kstd2.cc
===================================================================
--- kernel/GBEngine/kstd2.cc	(revision 7b9b8e5baba86b2ea7dc3d91652cd2ae491db203)
+++ kernel/GBEngine/kstd2.cc	(revision f9b0bddbfb9793b47a94a5d2aace6da9918e3c70)
@@ -712,12 +712,12 @@
 //#if 1
 #ifdef DEBUGF5
-  Print("------- IN REDSIG -------\n");
+  PrintS("------- IN REDSIG -------\n");
   Print("p: ");
   pWrite(pHead(h->p));
-  Print("p1: ");
+  PrintS("p1: ");
   pWrite(pHead(h->p1));
-  Print("p2: ");
+  PrintS("p2: ");
   pWrite(pHead(h->p2));
-  Print("---------------------------\n");
+  PrintS("---------------------------\n");
 #endif
   poly h_p;
@@ -790,5 +790,5 @@
 #ifdef DEBUGF5
     Print("BEFORE REDUCTION WITH %d:\n",ii);
-    Print("--------------------------------\n");
+    PrintS("--------------------------------\n");
     pWrite(h->sig);
     pWrite(strat->T[ii].sig);
@@ -797,5 +797,5 @@
     pWrite(pHead(h->p2));
     pWrite(pHead(strat->T[ii].p));
-    Print("--------------------------------\n");
+    PrintS("--------------------------------\n");
     printf("INDEX OF REDUCER T: %d\n",ii);
 #endif
@@ -1979,11 +1979,11 @@
       //#if 1
 #ifdef DEBUGF5
-      Print("SIG OF NEXT PAIR TO HANDLE IN SIG-BASED ALGORITHM\n");
-      Print("-------------------------------------------------\n");
+      PrintS("SIG OF NEXT PAIR TO HANDLE IN SIG-BASED ALGORITHM\n");
+      PrintS("-------------------------------------------------\n");
       pWrite(strat->P.sig);
       pWrite(pHead(strat->P.p));
       pWrite(pHead(strat->P.p1));
       pWrite(pHead(strat->P.p2));
-      Print("-------------------------------------------------\n");
+      PrintS("-------------------------------------------------\n");
 #endif
       if (pNext(strat->P.p) == strat->tail)
@@ -2035,5 +2035,5 @@
         //#if 1
 #ifdef DEBUGF5
-        Print("Poly before red: ");
+        PrintS("Poly before red: ");
         pWrite(pHead(strat->P.p));
         pWrite(strat->P.sig);
@@ -2068,5 +2068,5 @@
 #ifdef DEBUGF5
     if (red_result != 0) {
-        Print("Poly after red: ");
+        PrintS("Poly after red: ");
         pWrite(pHead(strat->P.p));
         pWrite(strat->P.GetLmCurrRing());
@@ -2311,6 +2311,6 @@
     printf("---------------------------\n");
     Print(" %d. ELEMENT ADDED TO GCURR:\n",strat->sl+1);
-    Print("LEAD POLY:  "); pWrite(pHead(strat->S[strat->sl]));
-    Print("SIGNATURE:  "); pWrite(strat->sig[strat->sl]);
+    PrintS("LEAD POLY:  "); pWrite(pHead(strat->S[strat->sl]));
+    PrintS("SIGNATURE:  "); pWrite(strat->sig[strat->sl]);
 #endif
       /*
@@ -2358,5 +2358,5 @@
 //#if 1
 #ifdef DEBUGF5
-        Print("ADDING STUFF TO SYZ :  ");
+        PrintS("ADDING STUFF TO SYZ :  ");
         //pWrite(strat->P.p);
         pWrite(strat->P.sig);
@@ -2730,11 +2730,11 @@
 //#if 1
 #ifdef DEBUGF5
-    Print("NEXT PAIR TO HANDLE IN INTERRED ALGORITHM\n");
-    Print("-------------------------------------------------\n");
+    PrintS("NEXT PAIR TO HANDLE IN INTERRED ALGORITHM\n");
+    PrintS("-------------------------------------------------\n");
     pWrite(pHead(strat->P.p));
     pWrite(pHead(strat->P.p1));
     pWrite(pHead(strat->P.p2));
     printf("%d\n",strat->tl);
-    Print("-------------------------------------------------\n");
+    PrintS("-------------------------------------------------\n");
 #endif
     if (pNext(strat->P.p) == strat->tail)
@@ -2788,5 +2788,5 @@
 
 #ifdef DEBUGF5
-      Print("Poly before red: ");
+      PrintS("Poly before red: ");
       pWrite(strat->P.p);
 #endif
@@ -2871,5 +2871,5 @@
 //#if 1
 #ifdef DEBUGF5
-        Print("ELEMENT ADDED TO GCURR DURING INTERRED: ");
+        PrintS("ELEMENT ADDED TO GCURR DURING INTERRED: ");
         pWrite(pHead(strat->S[strat->sl]));
         pWrite(strat->sig[strat->sl]);
@@ -2928,5 +2928,5 @@
 //#if 1
 #if DEBUGF5
-  Print("------------------- STRAT S ---------------------\n");
+  PrintS("------------------- STRAT S ---------------------\n");
   cc = 0;
   while (cc<strat->tl+1)
@@ -2937,6 +2937,6 @@
     cc++;
   }
-  Print("-------------------------------------------------\n");
-  Print("------------------- STRAT T ---------------------\n");
+  PrintS("-------------------------------------------------\n");
+  PrintS("------------------- STRAT T ---------------------\n");
   cc = 0;
   while (cc<strat->tl+1)
@@ -2947,6 +2947,6 @@
     cc++;
   }
-  Print("-------------------------------------------------\n");
-  Print("------------------- STRAT L ---------------------\n");
+  PrintS("-------------------------------------------------\n");
+  PrintS("------------------- STRAT L ---------------------\n");
   cc = 0;
   while (cc<strat->Ll+1)
@@ -2959,5 +2959,5 @@
     cc++;
   }
-  Print("-------------------------------------------------\n");
+  PrintS("-------------------------------------------------\n");
   printf("F5C DONE\nSTRAT SL: %d -- %d\n",strat->sl, strat->currIdx);
 #endif
Index: kernel/GBEngine/kutil.cc
===================================================================
--- kernel/GBEngine/kutil.cc	(revision 7b9b8e5baba86b2ea7dc3d91652cd2ae491db203)
+++ kernel/GBEngine/kutil.cc	(revision f9b0bddbfb9793b47a94a5d2aace6da9918e3c70)
@@ -2103,11 +2103,11 @@
 //#if 1
 #ifdef DEBUGF5
-  Print("P1  ");
+  PrintS("P1  ");
   pWrite(pHead(p));
-  Print("P2  ");
+  PrintS("P2  ");
   pWrite(pHead(strat->S[i]));
-  Print("M1  ");
+  PrintS("M1  ");
   pWrite(m1);
-  Print("M2  ");
+  PrintS("M2  ");
   pWrite(m2);
 #endif
@@ -2120,8 +2120,8 @@
 //#if 1
 #ifdef DEBUGF5
-  Print("----------------\n");
+  PrintS("----------------\n");
   pWrite(pSigMult);
   pWrite(sSigMult);
-  Print("----------------\n");
+  PrintS("----------------\n");
   Lp.checked  = 0;
 #endif
@@ -3660,7 +3660,7 @@
 #ifdef OLI_DEBUG
     Print("%d, (%d, %d), ind = (%d, %d)\n", cabsind, cexp[1], cexp[2], cind[1], cind[2]);
-    Print("zPoly : ");
+    PrintS("zPoly : ");
     wrp(zeroPoly);
-    Print("\n");
+    PrintLn();
 #endif
     enterOneZeroPairRing(zeroPoly, t_p, p, ecart, strat, atR);
@@ -3720,7 +3720,7 @@
 #ifdef OLI_DEBUG
     Print("%d, (%d, %d), ind = (%d, %d)\n", cabsind, cexp[1], cexp[2], cind[1], cind[2]);
-    Print("zPoly : ");
+    PrintS("zPoly : ");
     wrp(zeroPoly);
-    Print("\n");
+    PrintLn();
 #endif
     // Add to ideal
@@ -5879,5 +5879,5 @@
 //#if 1
 #ifdef DEBUGF5
-  Print("syzygy criterion checks:  ");
+  PrintS("syzygy criterion checks:  ");
   pWrite(sig);
 #endif
@@ -5911,5 +5911,5 @@
 //#if 1
 #ifdef DEBUGF5
-  Print("--- syzygy criterion checks:  ");
+  PrintS("--- syzygy criterion checks:  ");
   pWrite(sig);
 #endif
@@ -5961,5 +5961,5 @@
 //#if 1
 #ifdef DEBUGF5
-    Print("checking with:  ");
+    PrintS("checking with:  ");
     pWrite(strat->sig[k]);
     pWrite(pHead(strat->S[k]));
@@ -5976,10 +5976,10 @@
   }
 #ifdef DEBUGF5
-  Print("ALL ELEMENTS OF S\n----------------------------------------\n");
+  PrintS("ALL ELEMENTS OF S\n----------------------------------------\n");
   for(int kk = 0; kk<strat->sl+1; kk++)
   {
     pWrite(pHead(strat->S[kk]));
   }
-  Print("------------------------------\n");
+  PrintS("------------------------------\n");
 #endif
   return FALSE;
@@ -8036,5 +8036,5 @@
     pWrite(strat->sig[k]);
   }
-  Print("--- LIST S END ---\n");
+  PrintS("--- LIST S END ---\n");
 #endif
 }
Index: kernel/GBEngine/nc.cc
===================================================================
--- kernel/GBEngine/nc.cc	(revision 7b9b8e5baba86b2ea7dc3d91652cd2ae491db203)
+++ kernel/GBEngine/nc.cc	(revision f9b0bddbfb9793b47a94a5d2aace6da9918e3c70)
@@ -39,5 +39,5 @@
       p_Test(p, currRing);
 #if 0
-      Print("p: "); // !
+      PrintS("p: "); // !
       p_Write(p, currRing);
 #endif
@@ -57,7 +57,7 @@
         p_Test(q, currRing);
 #if 0
-        Print("Reducing p: "); // !
+        PrintS("Reducing p: "); // !
         p_Write(p, currRing);
-        Print("With q: "); // !
+        PrintS("With q: "); // !
         p_Write(q, currRing);
 #endif
@@ -73,5 +73,5 @@
           p_Write(q, currRing);
 
-          Print("With p:");
+          PrintS("With p:");
           p_Write(p, currRing);
 
@@ -87,8 +87,8 @@
           p_Test(q, currRing);
 #if 0
-          Print("reductum q/p: ");
+          PrintS("reductum q/p: ");
           p_Write(q, currRing);
 
-          // Print("With J!\n");
+          // PrintS("With J!\n");
 #endif
 #endif
@@ -100,5 +100,5 @@
           p_Test(q, currRing);
 #if 0
-          Print("NF(J/currRing->qideal)=> q: "); // !
+          PrintS("NF(J/currRing->qideal)=> q: "); // !
           p_Write(q, currRing);
 #endif
@@ -151,5 +151,5 @@
     idTest(J); // in currRing!
 #if 0
-    Print("J:");
+    PrintS("J:");
     idPrint(J);
     PrintLn();
@@ -162,5 +162,5 @@
     idTest(K); // in currRing!
 #if 0
-    Print("+K:");
+    PrintS("+K:");
     idPrint(K);
     PrintLn();
@@ -191,5 +191,5 @@
     idTest(J); // in currRing!
 #if 0
-    Print("J:");
+    PrintS("J:");
     idPrint(J);
     PrintLn();
@@ -208,5 +208,5 @@
   if (IDELEMS(s)!=IDELEMS(T))
   {
-    Print("ideals of diff. size!!!");
+    PrintS("ideals of diff. size!!!");
   }
 #endif
@@ -344,5 +344,5 @@
       s_h2=idCopy(s_h3);
       idDelete(&s_h3);
-      Print("...computing Syz");
+      PrintS("...computing Syz");
       s_h3 = kStd(s_h2, currRing->qideal,(tHomog)FALSE,NULL,NULL,syzcomp,idI);
       SI_RESTORE_OPT1(save1);
@@ -380,5 +380,5 @@
   if (flagcnt == N)
   {
-    Print("the input is a two--sided ideal");
+    PrintS("the input is a two--sided ideal");
     return(I);
   }
@@ -407,5 +407,5 @@
       res->m[i-1]=p;
     }
-    Print("final std");
+    PrintS("final std");
     res = kStd(res, currRing->qideal,testHomog,NULL,NULL,0,0,NULL);
     idSkipZeroes(res);
@@ -414,5 +414,5 @@
   else
   {
-    Print("No syzygies");
+    PrintS("No syzygies");
     return(I);
   }
Index: kernel/GBEngine/test.cc
===================================================================
--- kernel/GBEngine/test.cc	(revision 7b9b8e5baba86b2ea7dc3d91652cd2ae491db203)
+++ kernel/GBEngine/test.cc	(revision f9b0bddbfb9793b47a94a5d2aace6da9918e3c70)
@@ -440,7 +440,7 @@
   poly pp = pp_Mult_qq( p, p, R);
 
-  Print("p: "); p_Write0(p, R); Print(", deg(p): %ld", p_Totaldegree(p, R)); assume( 1 == p_Totaldegree(p, R) );
-
-  Print("; p*p : "); p_Write0(pp, R); Print("deg(pp): %ld\n", p_Totaldegree(pp, R)); assume( 2 == p_Totaldegree(pp, R) );
+  PrintS("p: "); p_Write0(p, R); Print(", deg(p): %ld", p_Totaldegree(p, R)); assume( 1 == p_Totaldegree(p, R) );
+
+  PrintS("; p*p : "); p_Write0(pp, R); Print("deg(pp): %ld\n", p_Totaldegree(pp, R)); assume( 2 == p_Totaldegree(pp, R) );
 
 
@@ -467,7 +467,7 @@
 
   // print p1 + p2
-  Print("p1: "); pWrite0(p1);
-  Print(" + p2: "); pWrite0(p2);
-  Print("  ---- >>>> ");
+  PrintS("p1: "); pWrite0(p1);
+  PrintS(" + p2: "); pWrite0(p2);
+  PrintS("  ---- >>>> ");
 
   // compute p1+p2
Index: kernel/combinatorics/test.cc
===================================================================
--- kernel/combinatorics/test.cc	(revision 7b9b8e5baba86b2ea7dc3d91652cd2ae491db203)
+++ kernel/combinatorics/test.cc	(revision f9b0bddbfb9793b47a94a5d2aace6da9918e3c70)
@@ -306,7 +306,7 @@
   poly pp = pp_Mult_qq( p, p, R);
 
-  Print("p: "); p_Write0(p, R); Print(", deg(p): %ld", p_Totaldegree(p, R)); assume( 1 == p_Totaldegree(p, R) );
-
-  Print("; p*p : "); p_Write0(pp, R); Print("deg(pp): %ld\n", p_Totaldegree(pp, R)); assume( 2 == p_Totaldegree(pp, R) );
+  PrintS("p: "); p_Write0(p, R); Print(", deg(p): %ld", p_Totaldegree(p, R)); assume( 1 == p_Totaldegree(p, R) );
+
+  PrintS("; p*p : "); p_Write0(pp, R); Print("deg(pp): %ld\n", p_Totaldegree(pp, R)); assume( 2 == p_Totaldegree(pp, R) );
 
 
@@ -333,7 +333,7 @@
 
   // print p1 + p2
-  Print("p1: "); pWrite0(p1);
-  Print(" + p2: "); pWrite0(p2);
-  Print("  ---- >>>> ");
+  PrintS("p1: "); pWrite0(p1);
+  PrintS(" + p2: "); pWrite0(p2);
+  PrintS("  ---- >>>> ");
 
   // compute p1+p2
Index: kernel/fglm/test.cc
===================================================================
--- kernel/fglm/test.cc	(revision 7b9b8e5baba86b2ea7dc3d91652cd2ae491db203)
+++ kernel/fglm/test.cc	(revision f9b0bddbfb9793b47a94a5d2aace6da9918e3c70)
@@ -304,7 +304,7 @@
   poly pp = pp_Mult_qq( p, p, R);
 
-  Print("p: "); p_Write0(p, R); Print(", deg(p): %ld", p_Totaldegree(p, R)); assume( 1 == p_Totaldegree(p, R) );
-
-  Print("; p*p : "); p_Write0(pp, R); Print("deg(pp): %ld\n", p_Totaldegree(pp, R)); assume( 2 == p_Totaldegree(pp, R) );
+  PrintS("p: "); p_Write0(p, R); Print(", deg(p): %ld", p_Totaldegree(p, R)); assume( 1 == p_Totaldegree(p, R) );
+
+  PrintS("; p*p : "); p_Write0(pp, R); Print("deg(pp): %ld\n", p_Totaldegree(pp, R)); assume( 2 == p_Totaldegree(pp, R) );
 
 
@@ -331,7 +331,7 @@
 
   // print p1 + p2
-  Print("p1: "); pWrite0(p1);
-  Print(" + p2: "); pWrite0(p2);
-  Print("  ---- >>>> ");
+  PrintS("p1: "); pWrite0(p1);
+  PrintS(" + p2: "); pWrite0(p2);
+  PrintS("  ---- >>>> ");
 
   // compute p1+p2
Index: kernel/groebner_walk/test.cc
===================================================================
--- kernel/groebner_walk/test.cc	(revision 7b9b8e5baba86b2ea7dc3d91652cd2ae491db203)
+++ kernel/groebner_walk/test.cc	(revision f9b0bddbfb9793b47a94a5d2aace6da9918e3c70)
@@ -304,7 +304,7 @@
   poly pp = pp_Mult_qq( p, p, R);
 
-  Print("p: "); p_Write0(p, R); Print(", deg(p): %ld", p_Totaldegree(p, R)); assume( 1 == p_Totaldegree(p, R) );
-
-  Print("; p*p : "); p_Write0(pp, R); Print("deg(pp): %ld\n", p_Totaldegree(pp, R)); assume( 2 == p_Totaldegree(pp, R) );
+  PrintS("p: "); p_Write0(p, R); Print(", deg(p): %ld", p_Totaldegree(p, R)); assume( 1 == p_Totaldegree(p, R) );
+
+  PrintS("; p*p : "); p_Write0(pp, R); Print("deg(pp): %ld\n", p_Totaldegree(pp, R)); assume( 2 == p_Totaldegree(pp, R) );
 
 
@@ -331,7 +331,7 @@
 
   // print p1 + p2
-  Print("p1: "); pWrite0(p1);
-  Print(" + p2: "); pWrite0(p2);
-  Print("  ---- >>>> ");
+  PrintS("p1: "); pWrite0(p1);
+  PrintS(" + p2: "); pWrite0(p2);
+  PrintS("  ---- >>>> ");
 
   // compute p1+p2
Index: kernel/linear_algebra/test.cc
===================================================================
--- kernel/linear_algebra/test.cc	(revision 7b9b8e5baba86b2ea7dc3d91652cd2ae491db203)
+++ kernel/linear_algebra/test.cc	(revision f9b0bddbfb9793b47a94a5d2aace6da9918e3c70)
@@ -304,7 +304,7 @@
   poly pp = pp_Mult_qq( p, p, R);
 
-  Print("p: "); p_Write0(p, R); Print(", deg(p): %ld", p_Totaldegree(p, R)); assume( 1 == p_Totaldegree(p, R) );
-
-  Print("; p*p : "); p_Write0(pp, R); Print("deg(pp): %ld\n", p_Totaldegree(pp, R)); assume( 2 == p_Totaldegree(pp, R) );
+  PrintS("p: "); p_Write0(p, R); Print(", deg(p): %ld", p_Totaldegree(p, R)); assume( 1 == p_Totaldegree(p, R) );
+
+  PrintS("; p*p : "); p_Write0(pp, R); Print("deg(pp): %ld\n", p_Totaldegree(pp, R)); assume( 2 == p_Totaldegree(pp, R) );
 
 
@@ -331,7 +331,7 @@
 
   // print p1 + p2
-  Print("p1: "); pWrite0(p1);
-  Print(" + p2: "); pWrite0(p2);
-  Print("  ---- >>>> ");
+  PrintS("p1: "); pWrite0(p1);
+  PrintS(" + p2: "); pWrite0(p2);
+  PrintS("  ---- >>>> ");
 
   // compute p1+p2
Index: kernel/maps/fast_maps.cc
===================================================================
--- kernel/maps/fast_maps.cc	(revision 7b9b8e5baba86b2ea7dc3d91652cd2ae491db203)
+++ kernel/maps/fast_maps.cc	(revision f9b0bddbfb9793b47a94a5d2aace6da9918e3c70)
@@ -395,9 +395,9 @@
   // do the actual evaluation
   maPoly_Eval(mp, src_r, dest_id, dest_r, length);
-  if (TEST_OPT_PROT) Print(".");
+  if (TEST_OPT_PROT) PrintS(".");
 
   // collect the results back into an ideal
   ideal res_dest_id = maIdeal_2_Ideal(mideal, dest_r);
-  if (TEST_OPT_PROT) Print(".");
+  if (TEST_OPT_PROT) PrintS(".");
 
   // convert result back to image_r
@@ -415,5 +415,5 @@
     res_image_id = res_dest_id;
 
-  if (TEST_OPT_PROT) Print(".");
+  if (TEST_OPT_PROT) PrintS(".");
 
   // clean-up the rings
@@ -421,5 +421,5 @@
 
   if (TEST_OPT_PROT)
-    Print("\n");
+    PrintLn();
 
   idTest(res_image_id);
@@ -559,5 +559,5 @@
       if (cost > next_print_cost)
       {
-        Print("-");
+        PrintS("-");
         next_print_cost += total_cost;
       }
Index: kernel/maps/test.cc
===================================================================
--- kernel/maps/test.cc	(revision 7b9b8e5baba86b2ea7dc3d91652cd2ae491db203)
+++ kernel/maps/test.cc	(revision f9b0bddbfb9793b47a94a5d2aace6da9918e3c70)
@@ -304,7 +304,7 @@
   poly pp = pp_Mult_qq( p, p, R);
 
-  Print("p: "); p_Write0(p, R); Print(", deg(p): %ld", p_Totaldegree(p, R)); assume( 1 == p_Totaldegree(p, R) );
-
-  Print("; p*p : "); p_Write0(pp, R); Print("deg(pp): %ld\n", p_Totaldegree(pp, R)); assume( 2 == p_Totaldegree(pp, R) );
+  PrintS("p: "); p_Write0(p, R); Print(", deg(p): %ld", p_Totaldegree(p, R)); assume( 1 == p_Totaldegree(p, R) );
+
+  PrintS("; p*p : "); p_Write0(pp, R); Print("deg(pp): %ld\n", p_Totaldegree(pp, R)); assume( 2 == p_Totaldegree(pp, R) );
 
 
@@ -331,7 +331,7 @@
 
   // print p1 + p2
-  Print("p1: "); pWrite0(p1);
-  Print(" + p2: "); pWrite0(p2);
-  Print("  ---- >>>> ");
+  PrintS("p1: "); pWrite0(p1);
+  PrintS(" + p2: "); pWrite0(p2);
+  PrintS("  ---- >>>> ");
 
   // compute p1+p2
Index: kernel/numeric/test.cc
===================================================================
--- kernel/numeric/test.cc	(revision 7b9b8e5baba86b2ea7dc3d91652cd2ae491db203)
+++ kernel/numeric/test.cc	(revision f9b0bddbfb9793b47a94a5d2aace6da9918e3c70)
@@ -304,7 +304,7 @@
   poly pp = pp_Mult_qq( p, p, R);
 
-  Print("p: "); p_Write0(p, R); Print(", deg(p): %ld", p_Totaldegree(p, R)); assume( 1 == p_Totaldegree(p, R) );
-
-  Print("; p*p : "); p_Write0(pp, R); Print("deg(pp): %ld\n", p_Totaldegree(pp, R)); assume( 2 == p_Totaldegree(pp, R) );
+  PrintS("p: "); p_Write0(p, R); Print(", deg(p): %ld", p_Totaldegree(p, R)); assume( 1 == p_Totaldegree(p, R) );
+
+  PrintS("; p*p : "); p_Write0(pp, R); Print("deg(pp): %ld\n", p_Totaldegree(pp, R)); assume( 2 == p_Totaldegree(pp, R) );
 
 
@@ -331,7 +331,7 @@
 
   // print p1 + p2
-  Print("p1: "); pWrite0(p1);
-  Print(" + p2: "); pWrite0(p2);
-  Print("  ---- >>>> ");
+  PrintS("p1: "); pWrite0(p1);
+  PrintS(" + p2: "); pWrite0(p2);
+  PrintS("  ---- >>>> ");
 
   // compute p1+p2
Index: kernel/oswrapper/test.cc
===================================================================
--- kernel/oswrapper/test.cc	(revision 7b9b8e5baba86b2ea7dc3d91652cd2ae491db203)
+++ kernel/oswrapper/test.cc	(revision f9b0bddbfb9793b47a94a5d2aace6da9918e3c70)
@@ -304,7 +304,7 @@
   poly pp = pp_Mult_qq( p, p, R);
 
-  Print("p: "); p_Write0(p, R); Print(", deg(p): %ld", p_Totaldegree(p, R)); assume( 1 == p_Totaldegree(p, R) );
-
-  Print("; p*p : "); p_Write0(pp, R); Print("deg(pp): %ld\n", p_Totaldegree(pp, R)); assume( 2 == p_Totaldegree(pp, R) );
+  PrintS("p: "); p_Write0(p, R); Print(", deg(p): %ld", p_Totaldegree(p, R)); assume( 1 == p_Totaldegree(p, R) );
+
+  PrintS("; p*p : "); p_Write0(pp, R); Print("deg(pp): %ld\n", p_Totaldegree(pp, R)); assume( 2 == p_Totaldegree(pp, R) );
 
 
@@ -331,7 +331,7 @@
 
   // print p1 + p2
-  Print("p1: "); pWrite0(p1);
-  Print(" + p2: "); pWrite0(p2);
-  Print("  ---- >>>> ");
+  PrintS("p1: "); pWrite0(p1);
+  PrintS(" + p2: "); pWrite0(p2);
+  PrintS("  ---- >>>> ");
 
   // compute p1+p2
Index: kernel/spectrum/test.cc
===================================================================
--- kernel/spectrum/test.cc	(revision 7b9b8e5baba86b2ea7dc3d91652cd2ae491db203)
+++ kernel/spectrum/test.cc	(revision f9b0bddbfb9793b47a94a5d2aace6da9918e3c70)
@@ -304,7 +304,7 @@
   poly pp = pp_Mult_qq( p, p, R);
 
-  Print("p: "); p_Write0(p, R); Print(", deg(p): %ld", p_Totaldegree(p, R)); assume( 1 == p_Totaldegree(p, R) );
-
-  Print("; p*p : "); p_Write0(pp, R); Print("deg(pp): %ld\n", p_Totaldegree(pp, R)); assume( 2 == p_Totaldegree(pp, R) );
+  PrintS("p: "); p_Write0(p, R); Print(", deg(p): %ld", p_Totaldegree(p, R)); assume( 1 == p_Totaldegree(p, R) );
+
+  PrintS("; p*p : "); p_Write0(pp, R); Print("deg(pp): %ld\n", p_Totaldegree(pp, R)); assume( 2 == p_Totaldegree(pp, R) );
 
 
@@ -331,7 +331,7 @@
 
   // print p1 + p2
-  Print("p1: "); pWrite0(p1);
-  Print(" + p2: "); pWrite0(p2);
-  Print("  ---- >>>> ");
+  PrintS("p1: "); pWrite0(p1);
+  PrintS(" + p2: "); pWrite0(p2);
+  PrintS("  ---- >>>> ");
 
   // compute p1+p2
Index: kernel/test.cc
===================================================================
--- kernel/test.cc	(revision 7b9b8e5baba86b2ea7dc3d91652cd2ae491db203)
+++ kernel/test.cc	(revision f9b0bddbfb9793b47a94a5d2aace6da9918e3c70)
@@ -550,7 +550,7 @@
   poly pp = pp_Mult_qq( p, p, R);
 
-  Print("p: "); p_Write0(p, R); Print(", deg(p): %ld", p_Totaldegree(p, R)); assume( 1 == p_Totaldegree(p, R) );
-
-  Print("; p*p : "); p_Write0(pp, R); Print("deg(pp): %ld\n", p_Totaldegree(pp, R)); assume( 2 == p_Totaldegree(pp, R) );
+  PrintS("p: "); p_Write0(p, R); Print(", deg(p): %ld", p_Totaldegree(p, R)); assume( 1 == p_Totaldegree(p, R) );
+
+  PrintS("; p*p : "); p_Write0(pp, R); Print("deg(pp): %ld\n", p_Totaldegree(pp, R)); assume( 2 == p_Totaldegree(pp, R) );
 
 
@@ -577,7 +577,7 @@
 
   // print p1 + p2
-  Print("p1: "); pWrite0(p1);
-  Print(" + p2: "); pWrite0(p2);
-  Print("  ---- >>>> ");
+  PrintS("p1: "); pWrite0(p1);
+  PrintS(" + p2: "); pWrite0(p2);
+  PrintS("  ---- >>>> ");
 
   // compute p1+p2
Index: libpolys/coeffs/bigintmat.cc
===================================================================
--- libpolys/coeffs/bigintmat.cc	(revision 7b9b8e5baba86b2ea7dc3d91652cd2ae491db203)
+++ libpolys/coeffs/bigintmat.cc	(revision f9b0bddbfb9793b47a94a5d2aace6da9918e3c70)
@@ -1677,5 +1677,5 @@
 #if 0
     char * s;
-    ::Print("mat over Z is \n");
+    ::PrintS("mat over Z is \n");
     ::Print("%s\n", s = nCoeffString(basecoeffs()));
     omFree(s);
@@ -1744,5 +1744,5 @@
               // get the gcd in position and the 0 in the other:
 #ifdef CF_DEB
-              ::Print("applying trafo\n");
+              ::PrintS("applying trafo\n");
               StringSetS("");
               n_Write(co1, basecoeffs()); StringAppendS("\t");
@@ -1806,5 +1806,5 @@
 
 #if 0
-    ::Print("hnf over Z is \n");
+    ::PrintS("hnf over Z is \n");
     Print();
     ::Print("\n(%d x %d)\n", rows(), cols());
@@ -1965,7 +1965,7 @@
   //b can have multiple columns.
 #if 0
-  Print("reduce_mod_howell: A:\n");
+  PrintS("reduce_mod_howell: A:\n");
   A->Print();
-  Print("\nb:\n");
+  PrintS("\nb:\n");
   b->Print();
 #endif
@@ -1981,9 +1981,9 @@
 
 #if 0
-    Print("\nx:\n");
+    PrintS("\nx:\n");
     x->Print();
-    Print("\neps:\n");
+    PrintS("\neps:\n");
     eps->Print();
-    Print("\n****************************************\n");
+    PrintS("\n****************************************\n");
 #endif
     return;
@@ -2036,9 +2036,9 @@
   delete B;
 #if 0
-  Print("\nx:\n");
+  PrintS("\nx:\n");
   x->Print();
-  Print("\neps:\n");
+  PrintS("\neps:\n");
   eps->Print();
-  Print("\n****************************************\n");
+  PrintS("\n****************************************\n");
 #endif
 }
@@ -2094,7 +2094,7 @@
         n_InpMult(den, dz, Z);
 #if 0
-        Print("den increasing to ");
+        PrintS("den increasing to ");
         n_Print(den, Z);
-        Print("\n");
+        PrintLn();
 #endif
       }
@@ -2108,7 +2108,7 @@
 #if 0
   L->Print();
-  Print("\n * 1/");
+  PrintS("\n * 1/");
   n_Print(den, Z);
-  Print("\n");
+  PrintLn();
 #endif
   return den;
@@ -2429,9 +2429,9 @@
   x->simplifyContentDen(&den);
 #if 0
-  Print("sol = 1/");
+  PrintS("sol = 1/");
   n_Print(den, R);
-  Print(" *\n");
+  PrintS(" *\n");
   x->Print();
-  Print("\n");
+  PrintLn();
 #endif
   return den;
@@ -2441,11 +2441,11 @@
 {
 #if 0
-  Print("Solve Ax=b for A=\n");
+  PrintS("Solve Ax=b for A=\n");
   A->Print();
-  Print("\nb = \n");
+  PrintS("\nb = \n");
   b->Print();
-  Print("\nx = \n");
+  PrintS("\nx = \n");
   x->Print();
-  Print("\n");
+  PrintLn();
 #endif
 
@@ -2565,5 +2565,5 @@
       Print("\n2:x: %ld\n", x);
       x->Print();
-      Print("\n");
+      PrintLn();
 #endif
     }
@@ -2586,7 +2586,7 @@
     }
 #if 0
-    Print("Diag ? %d\n", diag);
+    PrintS("Diag ? %d\n", diag);
     a->Print();
-    Print("\n");
+    PrintLn();
 #endif
     if (diag) break;
@@ -2611,9 +2611,9 @@
 {
 #if 0
-  Print("Kernel of ");
+  PrintS("Kernel of ");
   a->Print();
-  Print(" modulo ");
+  PrintS(" modulo ");
   n_Print(p, q);
-  Print("\n");
+  PrintLn();
 #endif
 
@@ -2622,11 +2622,11 @@
   diagonalForm(m, &U, &V);
 #if 0
-  Print("\ndiag form: ");
+  PrintS("\ndiag form: ");
   m->Print();
-  Print("\nU:\n");
+  PrintS("\nU:\n");
   U->Print();
-  Print("\nV:\n");
+  PrintS("\nV:\n");
   V->Print();
-  Print("\n");
+  PrintLn();
 #endif
 
Index: libpolys/coeffs/flintcf_Q.cc
===================================================================
--- libpolys/coeffs/flintcf_Q.cc	(revision 7b9b8e5baba86b2ea7dc3d91652cd2ae491db203)
+++ libpolys/coeffs/flintcf_Q.cc	(revision f9b0bddbfb9793b47a94a5d2aace6da9918e3c70)
@@ -71,5 +71,5 @@
 static void CoeffWrite(const coeffs r, BOOLEAN details)
 {
-  Print("// coefficients: flint fmpq_poly\n");
+  PrintS("// coefficients: flint fmpq_poly\n");
 }
 static BOOLEAN CoeffIsEqual(const coeffs r, n_coeffType n, void * parameter)
Index: libpolys/coeffs/rintegers.cc
===================================================================
--- libpolys/coeffs/rintegers.cc	(revision 7b9b8e5baba86b2ea7dc3d91652cd2ae491db203)
+++ libpolys/coeffs/rintegers.cc	(revision f9b0bddbfb9793b47a94a5d2aace6da9918e3c70)
@@ -1412,9 +1412,9 @@
   number two = nrzInit(2, R);
 #if 0
-  Print("Farey start with ");
+  PrintS("Farey start with ");
   n_Print(r, R);
-  Print(" mod ");
+  PrintS(" mod ");
   n_Print(N, R);
-  Print("\n");
+  PrintLn();
 #endif
   while (1)
Index: libpolys/coeffs/rmodulon.cc
===================================================================
--- libpolys/coeffs/rmodulon.cc	(revision 7b9b8e5baba86b2ea7dc3d91652cd2ae491db203)
+++ libpolys/coeffs/rmodulon.cc	(revision f9b0bddbfb9793b47a94a5d2aace6da9918e3c70)
@@ -446,7 +446,8 @@
 #endif
   nrnDelete(&xx, r);
-  if (!nrnIsOne(ui, r)) {
+  if (!nrnIsOne(ui, r))
+  {
 #ifdef CF_DEB
-    Print("Scaling\n");
+    PrintS("Scaling\n");
 #endif
     number uii = nrnInvers(ui, r);
Index: libpolys/polys/ext_fields/algext.cc
===================================================================
--- libpolys/polys/ext_fields/algext.cc	(revision 7b9b8e5baba86b2ea7dc3d91652cd2ae491db203)
+++ libpolys/polys/ext_fields/algext.cc	(revision f9b0bddbfb9793b47a94a5d2aace6da9918e3c70)
@@ -1497,5 +1497,5 @@
 
   assume( A != NULL );
-  Print("// polynomial ring as coefficient ring :\n");
+  PrintS("// polynomial ring as coefficient ring :\n");
   rWrite(A);
   PrintLn();
Index: libpolys/polys/ext_fields/transext.cc
===================================================================
--- libpolys/polys/ext_fields/transext.cc	(revision 7b9b8e5baba86b2ea7dc3d91652cd2ae491db203)
+++ libpolys/polys/ext_fields/transext.cc	(revision f9b0bddbfb9793b47a94a5d2aace6da9918e3c70)
@@ -216,6 +216,6 @@
       {
         Print("ERROR in %s:%d: constant den. poly / Zp\n",f,l);
-        Print("NUM: ");  p_Write(num, ntRing);
-        Print("DEN: ");  p_Write(den, ntRing);
+        PrintS("NUM: ");  p_Write(num, ntRing);
+        PrintS("DEN: ");  p_Write(den, ntRing);
         return FALSE;
       }
@@ -224,6 +224,6 @@
       {
         Print("ERROR in %s:%d: non-monic den. poly / Zp\n",f,l);
-        Print("NUM: ");  p_Write(num, ntRing);
-        Print("DEN: ");  p_Write(den, ntRing);
+        PrintS("NUM: ");  p_Write(num, ntRing);
+        PrintS("DEN: ");  p_Write(den, ntRing);
         return FALSE;
       }
@@ -238,7 +238,7 @@
         {
           Print("ERROR in %s:%d: 1 != GCD between num. & den. poly\n",f,l);
-          Print("GCD: ");  p_Write(gcd, ntRing);
-          Print("NUM: ");  p_Write(num, ntRing);
-          Print("DEN: ");  p_Write(den, ntRing);
+          PrintS("GCD: ");  p_Write(gcd, ntRing);
+          PrintS("NUM: ");  p_Write(num, ntRing);
+          PrintS("DEN: ");  p_Write(den, ntRing);
           return FALSE;
         }
Index: libpolys/polys/matpol.cc
===================================================================
--- libpolys/polys/matpol.cc	(revision 7b9b8e5baba86b2ea7dc3d91652cd2ae491db203)
+++ libpolys/polys/matpol.cc	(revision f9b0bddbfb9793b47a94a5d2aace6da9918e3c70)
@@ -699,8 +699,8 @@
 *    for(i=1;i<=c;i++)
 *    {
-*      if(MATELEM(a,j,i)!=NULL) Print("X");
-*      else Print("0");
+*      if(MATELEM(a,j,i)!=NULL) PrintS("X");
+*      else PrintS("0");
 *    }
-*    Print("\n");
+*    PrintLn();
 *  }
 *}
Index: libpolys/polys/monomials/p_polys.cc
===================================================================
--- libpolys/polys/monomials/p_polys.cc	(revision 7b9b8e5baba86b2ea7dc3d91652cd2ae491db203)
+++ libpolys/polys/monomials/p_polys.cc	(revision f9b0bddbfb9793b47a94a5d2aace6da9918e3c70)
@@ -291,9 +291,9 @@
           p->exp[o->data.wp64.place]=a_1;
           p->exp[o->data.wp64.place+1]=a_0;
-//            if(p_Setm_error) Print("***************************\n
-//                                    ***************************\n
-//                                    **WARNING: overflow error**\n
-//                                    ***************************\n
-//                                    ***************************\n");
+//            if(p_Setm_error) PrintS("***************************\n"
+//                                    "***************************\n"
+//                                    "**WARNING: overflow error**\n"
+//                                    "***************************\n"
+//                                    "***************************\n");
           break;
         }
Index: libpolys/polys/monomials/ring.cc
===================================================================
--- libpolys/polys/monomials/ring.cc	(revision 7b9b8e5baba86b2ea7dc3d91652cd2ae491db203)
+++ libpolys/polys/monomials/ring.cc	(revision f9b0bddbfb9793b47a94a5d2aace6da9918e3c70)
@@ -4086,8 +4086,8 @@
       else
       {
-        Print("{");
+        PrintS("{");
         for( i=0; i <= limit; i++ )
           Print("%d ", syz_index[i]);
-        Print("}");
+        PrintS("}");
       }
 
@@ -4211,5 +4211,5 @@
   {
       PrintLn();
-      Print("pFDeg   : ");
+      PrintS("pFDeg   : ");
 #define pFDeg_CASE(A) if(r->pFDeg == A) PrintS( "" #A "" )
       pFDeg_CASE(p_Totaldegree); else
@@ -4224,5 +4224,5 @@
     PrintLn();
   }
-  Print("pSetm:");
+  PrintS("pSetm:");
   void p_Setm_Dummy(poly p, const ring r);
   void p_Setm_TotalDegree(poly p, const ring r);
Index: libpolys/polys/nc/ncSAFormula.cc
===================================================================
--- libpolys/polys/nc/ncSAFormula.cc	(revision 7b9b8e5baba86b2ea7dc3d91652cd2ae491db203)
+++ libpolys/polys/nc/ncSAFormula.cc	(revision f9b0bddbfb9793b47a94a5d2aace6da9918e3c70)
@@ -52,5 +52,5 @@
 {
 #if OUTPUT
-  Print("ncInitSpecialPowersMultiplication(ring), ring: \n");
+  PrintS("ncInitSpecialPowersMultiplication(ring), ring: \n");
   rWrite(r, TRUE);
   PrintLn();
@@ -84,6 +84,5 @@
 {
 #if OUTPUT
-  Print("AreCommutingVariables(ring, k: %d, i: %d)!", j, i);
-  PrintLn();
+  Print("AreCommutingVariables(ring, k: %d, i: %d)!\n", j, i);
 #endif
 
@@ -136,6 +135,5 @@
 {
 #if OUTPUT
-  Print("AnalyzePair(ring, i: %d, j: %d):", i, j);
-  PrintLn();
+  Print("AnalyzePair(ring, i: %d, j: %d):\n", i, j);
 #endif
 
@@ -220,5 +218,5 @@
 {
 #if OUTPUT
-  Print("CFormulaPowerMultiplier::CFormulaPowerMultiplier(ring)!");
+  PrintS("CFormulaPowerMultiplier::CFormulaPowerMultiplier(ring)!");
   PrintLn();
 #endif
@@ -237,5 +235,5 @@
 {
 #if OUTPUT
-  Print("CFormulaPowerMultiplier::~CFormulaPowerMultiplier()!");
+  PrintS("CFormulaPowerMultiplier::~CFormulaPowerMultiplier()!");
   PrintLn();
 #endif
@@ -263,6 +261,5 @@
 {
 #if OUTPUT
-  Print("ncSA_1xy0x0y0(var(%d)^{%d}, var(%d)^{%d}, r)!", j, m, i, n);
-  PrintLn();
+  Print("ncSA_1xy0x0y0(var(%d)^{%d}, var(%d)^{%d}, r)!\n", j, m, i, n);
 #endif
 
@@ -281,6 +278,5 @@
 {
 #if OUTPUT
-  Print("ncSA_{M = -1}xy0x0y0(var(%d)^{%d}, var(%d)^{%d}, r)!", j, m, i, n);
-  PrintLn();
+  Print("ncSA_{M = -1}xy0x0y0(var(%d)^{%d}, var(%d)^{%d}, r)!\n", j, m, i, n);
 #endif
 
@@ -301,6 +297,5 @@
 {
 #if OUTPUT
-  Print("ncSA_Qxy0x0y0(var(%d)^{%d}, var(%d)^{%d}, Q, r)!", j, m, i, n);
-  PrintLn();
+  Print("ncSA_Qxy0x0y0(var(%d)^{%d}, var(%d)^{%d}, Q, r)!\n", j, m, i, n);
 #endif
 
@@ -350,6 +345,5 @@
 {
 #if OUTPUT
-  Print("ncSA_1xy0x0yG(var(%d)^{%d}, var(%d)^{%d}, G, r)!", j, m, i, n);
-  PrintLn();
+  Print("ncSA_1xy0x0yG(var(%d)^{%d}, var(%d)^{%d}, G, r)!\n", j, m, i, n);
   number t = n_Copy(m_g, r);
   PrintS("Parameter G: "); n_Write(t, r);
@@ -450,6 +444,5 @@
 {
 #if OUTPUT
-  Print("ncSA_1xy0x0yT2(var(%d)^{%d}, var(%d)^{%d}, t: var(%d), r)!", j, m, i, n, m_k);
-  PrintLn();
+  Print("ncSA_1xy0x0yT2(var(%d)^{%d}, var(%d)^{%d}, t: var(%d), r)!\n", j, m, i, n, m_k);
 #endif
 
@@ -633,6 +626,5 @@
 {
 #if OUTPUT
-  Print("ncSA_1xyAx0y0(var(%d)^{%d}, var(%d)^{%d}, A, r)!", j, m, i, n);
-  PrintLn();
+  Print("ncSA_1xyAx0y0(var(%d)^{%d}, var(%d)^{%d}, A, r)!\n", j, m, i, n);
   number t = n_Copy(m_shiftCoef, r);
   PrintS("Parameter A: "); n_Write(t, r);
@@ -646,6 +638,5 @@
 {
 #if OUTPUT
-  Print("ncSA_1xy0xBy0(var(%d)^{%d}, var(%d)^{%d}, B, r)!", j, m, i, n);
-  PrintLn();
+  Print("ncSA_1xy0xBy0(var(%d)^{%d}, var(%d)^{%d}, B, r)!\n", j, m, i, n);
   number t = n_Copy(m_shiftCoef, r);
   PrintS("Parameter B: "); n_Write(t, r);
@@ -664,6 +655,5 @@
 {
 #if OUTPUT
-  Print("ncSA_Multiply(type: %d, ring, (var(%d)^{%d} * var(%d)^{%d}, r)!", (int)type, j, m, i, n);
-  PrintLn();
+  Print("ncSA_Multiply(type: %d, ring, (var(%d)^{%d} * var(%d)^{%d}, r)!\n", (int)type, j, m, i, n);
 #endif
 
Index: libpolys/polys/nc/old.gring.cc
===================================================================
--- libpolys/polys/nc/old.gring.cc	(revision 7b9b8e5baba86b2ea7dc3d91652cd2ae491db203)
+++ libpolys/polys/nc/old.gring.cc	(revision f9b0bddbfb9793b47a94a5d2aace6da9918e3c70)
@@ -407,5 +407,5 @@
         if (side)
         {
-          Print("gnc_p_Mult_mm: Multiplication in the left module from the right");
+          PrintS("gnc_p_Mult_mm: Multiplication in the left module from the right");
         }
 #endif
@@ -1622,6 +1622,6 @@
   p_Test(p2, r);
 #if MYTEST
-  Print("p1: "); p_Write(p1, r);
-  Print("p2: "); p_Write(p2, r);
+  PrintS("p1: "); p_Write(p1, r);
+  PrintS("p2: "); p_Write(p2, r);
 #endif
 #endif
@@ -1675,6 +1675,6 @@
 #ifdef PDEBUG
 #if MYTEST
-  Print("m1: "); pWrite(m1);
-  Print("m2: "); pWrite(m2);
+  PrintS("m1: "); pWrite(m1);
+  PrintS("m2: "); pWrite(m2);
 #endif
 #endif
@@ -1723,6 +1723,6 @@
 
 #if MYTEST
-  Print("M1: "); pWrite(M1);
-  Print("M2: "); pWrite(M2);
+  PrintS("M1: "); pWrite(M1);
+  PrintS("M2: "); pWrite(M2);
 #endif
 #endif
@@ -1731,14 +1731,14 @@
   {
 #ifdef PDEBUG
-       Print("\np1 = ");
+       PrintS("\np1 = ");
        p_Write(p1, r);
 
-       Print("m1 = ");
+       PrintS("m1 = ");
        p_Write(m1, r);
 
-       Print("p2 = ");
+       PrintS("p2 = ");
        p_Write(p2, r);
 
-       Print("m2 = ");
+       PrintS("m2 = ");
        p_Write(m2, r);
 
@@ -1790,6 +1790,6 @@
 
 #if MYTEST
-  Print("M1: "); pWrite(M1);
-  Print("M2: "); pWrite(M2);
+  PrintS("M1: "); pWrite(M1);
+  PrintS("M2: "); pWrite(M2);
 #endif
 #endif
@@ -1802,5 +1802,5 @@
 
 #if MYTEST
-  Print("M2: "); pWrite(M2);
+  PrintS("M2: "); pWrite(M2);
 #endif
 
@@ -1831,5 +1831,5 @@
 
 #if MYTEST
-  Print("M1: "); pWrite(M1);
+  PrintS("M1: "); pWrite(M1);
 #endif
 
@@ -1842,5 +1842,5 @@
 
 #if MYTEST
-  Print("M2: "); pWrite(M2);
+  PrintS("M2: "); pWrite(M2);
 #endif
 
@@ -1860,5 +1860,5 @@
 
 #if MYTEST
-  Print("M1: "); pWrite(M1);
+  PrintS("M1: "); pWrite(M1);
 #endif
 
@@ -1872,5 +1872,5 @@
 
 #if MYTEST
-  Print("M2: "); pWrite(M2);
+  PrintS("M2: "); pWrite(M2);
 #endif
 
@@ -2015,5 +2015,5 @@
   const ring r = b->bucket_ring;
 #ifdef PDEBUG
-//   Print(">*");
+//   PrintS(">*");
 #endif
 
@@ -2025,5 +2025,5 @@
   p_Test(p, r);
 #if MYTEST
-  Print("p: "); p_Write(p, r);
+  PrintS("p: "); p_Write(p, r);
 #endif
 #endif
@@ -2041,5 +2041,5 @@
 
 #if MYTEST
-  Print("pLmB: "); p_Write(pLmB, r);
+  PrintS("pLmB: "); p_Write(pLmB, r);
 #endif
 #endif
@@ -2051,5 +2051,5 @@
   p_Test(m, r);
 #if MYTEST
-  Print("m: "); p_Write(m, r);
+  PrintS("m: "); p_Write(m, r);
 #endif
 #endif
@@ -2079,5 +2079,5 @@
 #ifdef PDEBUG
   p_Test(pp, r);
-//   Print("PP: "); pWrite(pp);
+//   PrintS("PP: "); pWrite(pp);
 #endif
 
@@ -2086,5 +2086,5 @@
 
 #ifdef PDEBUG
-//   Print("*>");
+//   PrintS("*>");
 #endif
 }
Index: libpolys/polys/nc/sca.cc
===================================================================
--- libpolys/polys/nc/sca.cc	(revision 7b9b8e5baba86b2ea7dc3d91652cd2ae491db203)
+++ libpolys/polys/nc/sca.cc	(revision f9b0bddbfb9793b47a94a5d2aace6da9918e3c70)
@@ -385,5 +385,5 @@
 
 #ifdef PDEBUG
-//  Print("sca_p_Mult_mm\n"); // !
+//  PrintS("sca_p_Mult_mm\n"); // !
 
   p_Test(pPoly, rRing);
@@ -471,5 +471,5 @@
 
 #ifdef PDEBUG
-//  Print("sca_pp_Mult_mm\n"); // !
+//  PrintS("sca_pp_Mult_mm\n"); // !
 
   p_Test(pPoly, rRing);
@@ -581,5 +581,5 @@
 
 #ifdef PDEBUG
-//  Print("sca_mm_Mult_pp\n"); // !
+//  PrintS("sca_mm_Mult_pp\n"); // !
 
   p_Test(pPoly, rRing);
@@ -1460,5 +1460,5 @@
 
 #if 0
-  Print("m_KillSquares, m = "); // !
+  PrintS("m_KillSquares, m = "); // !
   p_Write(m, r);
 #endif
@@ -1487,5 +1487,5 @@
 
 #if 0
-  Print("p_KillSquares, p = "); // !
+  PrintS("p_KillSquares, p = "); // !
   p_Write(p, r);
 #endif
@@ -1519,5 +1519,5 @@
   p_Test(pResult, r);
 #if 0
-  Print("p_KillSquares => "); // !
+  PrintS("p_KillSquares => "); // !
   p_Write(pResult, r);
 #endif
